[
  {
    "id": 1,
    "priority": 1,
    "action": {
      "type": "redirect",
      "redirect": {
        "transform": {
          "scheme": "https",
          "queryTransform": {
            "addOrReplaceParams": [
              {
                "key": "kj_agent_plugin",
                "replaceOnly": false,
                "value": "niubox"
              }
            ]
          }
        }
      }
    },
    "condition": {
      "urlFilter": "detail.1688.com",
      "resourceTypes": [
        "script",
        "main_frame",
        "xmlhttprequest"
      ]
    }
  },
  {
    "id": 2,
    "priority": 2,
    "action": {
      "type": "redirect",
      "redirect": {
        "transform": {
          "scheme": "https",
          "queryTransform": {
            "addOrReplaceParams": [
              {
                "key": "kj_agent_plugin",
                "replaceOnly": false,
                "value": "niubox"
              }
            ]
          }
        }
      }
    },
    "condition": {
      "urlFilter": "order.1688.com",
      "resourceTypes": [
        "script",
        "main_frame",
        "xmlhttprequest"
      ]
    }
  },
  {
    "id": 3,
    "priority": 3,
    "action": {
      "type": "modifyHeaders",
      "requestHeaders": [
        {
          "header": "origin",
          "operation": "set",
          "value": "chrome-extension://lnbmbgocenenhhhdojdielgnmeflbnfb"
        }
      ]
    },
    "condition": {
      "urlFilter": "v2/extension/keyword-search",
      "resourceTypes": [
        "xmlhttprequest"
      ]
    }
  },
  {
    "id": 4,
    "priority": 4,
    "action": {
      "type": "modifyHeaders",
      "requestHeaders": [
        {"header": "accept", "operation": "set", "value": "text/html,application/xhtml+xml,application/xml;q=0.9,image/avif,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.7"},
        {"header": "referer", "operation": "set", "value": "https://www.nowmsg.com"},
        {"header": "cache-control", "operation": "set", "value": "max-age=0"},
        {"header": "sec-ch-ua", "operation": "set", "value": "\"Google Chrome\";v=\"129\", \"Not=A?Brand\";v=\"8\", \"Chromium\";v=\"129\""},
        {"header": "sec-ch-ua-mobile", "operation": "set", "value": "?0"},
        {"header": "sec-ch-ua-platform", "operation": "set", "value": "\"Windows\""},
        {"header": "sec-fetch-dest", "operation": "set", "value": "document"},
        {"header": "sec-fetch-mode", "operation": "set", "value": "navigate"},
        {"header": "sec-fetch-site", "operation": "set", "value": "same-origin"},
        {"header": "sec-fetch-user", "operation": "set", "value": "?1"},
        {"header": "upgrade-insecure-requests", "operation": "set", "value": "1"}
      ]
    },
    "condition": {
      "urlFilter": "https://www.nowmsg.com/findzip",
      "resourceTypes": [
        "xmlhttprequest"
      ]
    }
  },{
    "id": 5,
    "priority": 5,
    "action": {
      "type": "modifyHeaders",
      "requestHeaders": [
        {"header": "pragma", "operation": "set", "value": "no-cache"},
        {"header": "referer", "operation": "set", "value": "https://www.ozon.ru"},
        {"header": "priority", "operation": "set", "value": "u=0, i"},
        {"header": "sec-ch-ua-arch", "operation": "set", "value": "\"x86\""},
        {"header": "sec-ch-ua-bitness", "operation": "set", "value": "\"64\""},
        {"header": "sec-ch-ua-mobile", "operation": "set", "value": "?0"},
        {"header": "sec-ch-ua-model", "operation": "set", "value": "\"\""}
      ]
    },
    "condition": {
      "urlFilter": "www.ozon.kz",
      "resourceTypes": [
        "xmlhttprequest"
      ]
    }
  },
  {
    "id": 95,
    "priority": 5,
    "action": {
      "type": "modifyHeaders",
      "requestHeaders": [
        {"header": "origin", "operation": "set", "value": "https://fanyi.baidu.com"},
        {"header": "pragma", "operation": "set", "value": "no-cache"},
        {"header": "referer", "operation": "set", "value": "https://fanyi.baidu.com/mtpe-individual/transText?query=zhongg1&lang=glg2zh"}


      ]
    },
    "condition": {
      "urlFilter": "fanyi.baidu.com",
      "resourceTypes": [
        "xmlhttprequest"
      ]
    }
  },
  {
    "id": 6,
    "priority": 6,
    "action": {
      "type": "modifyHeaders",
      "requestHeaders": [

        {"header": "referer", "operation": "set", "value": "https://www.1688.com/"}

      ]
    },
    "condition": {
      "urlFilter": "alicdn.com",
      "resourceTypes": [
        "xmlhttprequest",
        "script",
        "main_frame"

      ]
    }
  },
  {
    "id": 7,
    "priority": 7,
    "action": {
      "type": "modifyHeaders",
      "responseHeaders": [
        { "header": "content-security-policy", "operation": "remove" },
        { "header": "Content-Security-Policy", "operation": "remove" },
        { "header": "x-frame-options", "operation": "remove" },
        { "header": "X-Frame-Options", "operation": "remove" }
      ]
    },
    "condition": {
      "urlFilter": "*://*/*",
      "resourceTypes": [
        "sub_frame"
      ]
    }
  }
]
